##############################################################################
# @file  CMakeLists.txt
# @brief Build configuration of software.
#
# Copyright (c) 2012, 2013 University of Pennsylvania.
#
# This file is part of DTI-DROID.
#
# DTI-DROID is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# DTI-DROID is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with DTI-DROID.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: SBIA Group <sbia-software at uphs.upenn.edu>
##############################################################################

basis_add_library (pyutils SbiaUtils.py)
basis_target_link_libraries (pyutils "${PythonModules_nifti_PATH}" "${PythonModules_numpy_PATH}")

basis_add_executable (adjustSizeNifti.py LIBEXEC)
basis_add_executable (convertDtNifti.py  LIBEXEC)

basis_target_link_libraries (adjustSizeNifti pyutils "${PythonModules_nifti_PATH}" "${PythonModules_numpy_PATH}")
basis_target_link_libraries (convertDtNifti  pyutils "${PythonModules_nifti_PATH}" "${PythonModules_numpy_PATH}")
